Update server metadata
curl --request PATCH \
--url https://console.wenium.com/api/servers/{server} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hostname": "updated-hostname",
"firewall_group_id": 5
}
'import requests
url = "https://console.wenium.com/api/servers/{server}"
payload = {
"hostname": "updated-hostname",
"firewall_group_id": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hostname: 'updated-hostname', firewall_group_id: 5})
};
fetch('https://console.wenium.com/api/servers/{server}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Server updated.",
"data": {
"id": 10,
"name": "web-server-01",
"vcpu": 2,
"ram": 2048,
"disk": 40,
"bw_used": 12.34,
"main_ipv4": "192.168.1.100",
"main_ipv6": "2001:db8::1",
"template": "Ubuntu 22.04",
"firewall_group_id": 5,
"created_at": "2026-07-03T00:00:00.000000Z",
"renewed_at": "2026-07-03T00:00:00.000000Z",
"due_date": "2026-08-03T00:00:00.000000Z",
"recurring_amount": 15,
"amount_paid": 15,
"payment_currency": "USD",
"billing_cycle": "monthly",
"status": "running"
}
}Virtual Machines
Update server metadata
PATCH
/
servers
/
{server}
Update server metadata
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
